package com.admin.major.mapper;

import java.util.List;
import com.admin.major.domain.AdjustResult;
import com.admin.major.domain.dto.AdjustResultDTO;

/**
 * 分流结果Mapper接口
 * 
 * @author zewei
 * @date 2022-03-26
 */
public interface AdjustResultMapper 
{
    /**
     * 查询分流结果
     * 
     * @param studentId 分流结果主键
     * @return 分流结果
     */
    public AdjustResult selectAdjustResultByBatchId(String studentId);

    /**
     * 查询分流结果列表
     * 
     * @param adjustResult 分流结果
     * @return 分流结果集合
     */
    public List<AdjustResult> selectAdjustResultList(AdjustResult adjustResult);

    /**
     * 新增分流结果
     * 
     * @param adjustResult 分流结果
     * @return 结果
     */
    public int insertAdjustResult(AdjustResult adjustResult);

    /**
     * 修改分流结果
     * 
     * @param adjustResult 分流结果
     * @return 结果
     */
    public int updateAdjustResult(AdjustResult adjustResult);

    /**
     * 删除分流结果
     * 
     * @param batchId 分流结果主键
     * @return 结果
     */
    public int deleteAdjustResultByBatchId(String batchId);

    /**
     * 批量删除分流结果
     * 
     * @param batchIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAdjustResultByBatchIds(String[] batchIds);


    int deleteAdjustResultByDynamic(AdjustResult adjustResult);

    List<AdjustResultDTO> viewAdjustResult(AdjustResultDTO adjustResult);

}
